/* Include statements from the file.
   NOTE:  this effects the input stream...not sure how to handle this now. */!!

inherit(Object, #CLIIncludeNode, #(filename  /* filename to include from */), 2, nil)!!

now(class(CLIIncludeNode))!!

now(CLIIncludeNode)!!

/* Compile the node into Actor source. */
Def CLICodeCompile(self)
{
  CLICodeCompile("includeCommand(self, ");
  CLICodeCompile(filename);
  CLICodeCompile(") ");
}!!

Def init(self, file)
{
  filename := file;
}!!
